Skip to main content
GET
/
endpoints
List endpoints
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phaseo.ai/v1/endpoints', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.phaseo.ai/v1/endpoints"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.phaseo.ai/v1/endpoints \
--header 'Authorization: Bearer <token>'
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.phaseo.ai/v1/endpoints"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.phaseo.ai/v1/endpoints")
.header("Authorization", "Bearer <token>")
.asString();


{
  "ok": true,
  "endpoints": [
    "<string>"
  ],
  "sample_models": [
    "ai21/jamba-large-1.7"
  ]
}
  • endpoints: the canonical endpoint IDs currently exposed by the API
  • sample_models: up to 10 recent visible model IDs from the public catalogue

Authorizations

Authorization
string
header
required

Bearer token authentication

Response

200 - application/json

Endpoint metadata

ok
boolean
endpoints
string[]
sample_models
string[]

Model identifier. This is a runtime string so newly released models can be used without waiting for an SDK update.

Last modified on May 19, 2026